curl --request PATCH \
--url https://api.wirespeed.co/v1/integration/{id}/licenses/{licenseId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isBillable": true
}
'import requests
url = "https://api.wirespeed.co/v1/integration/{id}/licenses/{licenseId}"
payload = { "isBillable": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({isBillable: true})
};
fetch('https://api.wirespeed.co/v1/integration/{id}/licenses/{licenseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"licenseId": "<string>",
"licenseName": "<string>",
"isMain": true,
"isBillable": true,
"licenseTarget": "USER",
"totalSeats": 123,
"usedSeats": 123,
"updatedAt": "<string>",
"licenseMetadata": {},
"status": {
"label": "<string>",
"severity": "info",
"description": "<string>"
}
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}Set whether a user license counts toward association-based billable users
Authorizations
Team API key sent as a Bearer token. Create a key in Wirespeed under Settings → Team. See https://docs.wirespeed.co/api-reference/authentication.
Body
Whether directory users assigned to this license count toward association-based billable users
Response
Unique identifier for the stored license row
Integration-provided license identifier
Human-readable license name
Whether this license is marked as the primary license
Whether directory users assigned to this license count toward association-based billable users
Type of resource this license applies to (user or endpoint)
USER, ENDPOINT Total available seats in this license
Number of seats currently in use
Timestamp when the license was last updated
Provider-specific metadata for this license
Optional status for this license subscription
Show child attributes
Show child attributes

